cURL
curl --request GET \ --url https://recoup-api.vercel.app/api/artist-profile \ --header 'x-api-key: <api-key>'
{ "status": "success", "profile": { "id": "<string>", "profiles": [ { "id": "<string>", "username": "<string>", "profile_url": "<string>", "avatar": "<string>", "bio": "<string>", "follower_count": 123, "following_count": 123, "post_count": 123, "region": "<string>", "updated_at": "2023-11-07T05:31:56Z" } ], "total_followers": 123, "total_following": 123, "total_posts": 123, "updated_at": "2023-11-07T05:31:56Z" } }
Retrieve comprehensive profile information for an artist across all connected social media platforms, including profile details and post metrics.
Your Recoup API key. Learn more.
The unique identifier of the artist account to fetch profile data for
Artist profile retrieved successfully
Status of the request
success
The artist's comprehensive profile information
Show child attributes
Was this page helpful?